Bug 24356 - objects.search prefetch
Summary: objects.search prefetch
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Agustín Moyano
QA Contact: Testopia
URL:
Keywords:
Depends on: 24321
Blocks: 24502 24830 25044
  Show dependency treegraph
 
Reported: 2020-01-06 18:17 UTC by Tomás Cohen Arazi
Modified: 2020-04-02 14:02 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
This enhancement makes the Koha::Object(s) derived classes expose information about prefetch-able relations. This is then used by a new helper to generate the prefetch information for the DBIC query.
Version(s) released in:
20.05.00


Attachments
Bug 24356: prefetch_whitelist tests (2.68 KB, patch)
2020-01-21 18:51 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 24356: Make objects.search prefetch embedded relations (4.93 KB, patch)
2020-01-21 18:51 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 24356: prefetch_whitelist tests (2.68 KB, patch)
2020-01-23 23:32 UTC, Agustín Moyano
Details | Diff | Splinter Review
Bug 24356: Make objects.search prefetch embedded relations (4.91 KB, patch)
2020-01-23 23:32 UTC, Agustín Moyano
Details | Diff | Splinter Review
Bug 24356: prefetch_whitelist tests (2.68 KB, patch)
2020-01-24 00:39 UTC, Agustín Moyano
Details | Diff | Splinter Review
Bug 24356: Make objects.search prefetch embedded relations (6.57 KB, patch)
2020-01-24 00:39 UTC, Agustín Moyano
Details | Diff | Splinter Review
Bug 24356: prefetch_whitelist tests (2.68 KB, patch)
2020-01-25 03:13 UTC, Agustín Moyano
Details | Diff | Splinter Review
Bug 24356: Make objects.search prefetch embedded relations (6.57 KB, patch)
2020-01-25 03:13 UTC, Agustín Moyano
Details | Diff | Splinter Review
Bug 24356: prefetch_whitelist tests (2.55 KB, patch)
2020-02-01 04:47 UTC, Agustín Moyano
Details | Diff | Splinter Review
Bug 24356: Make objects.search prefetch embedded relations (6.57 KB, patch)
2020-02-01 04:47 UTC, Agustín Moyano
Details | Diff | Splinter Review
Bug 24356: Make objects.search prefetch embedded relations (6.55 KB, patch)
2020-02-03 16:13 UTC, Agustín Moyano
Details | Diff | Splinter Review
Bug 24356: prefetch_whitelist tests (2.60 KB, patch)
2020-02-03 17:13 UTC, David Nind
Details | Diff | Splinter Review
Bug 24356: Make objects.search prefetch embedded relations (6.62 KB, patch)
2020-02-03 17:13 UTC, David Nind
Details | Diff | Splinter Review
Bug 24356: prefetch_whitelist tests (2.59 KB, patch)
2020-02-06 23:53 UTC, Agustín Moyano
Details | Diff | Splinter Review
Bug 24356: Make objects.search prefetch embedded relations (6.60 KB, patch)
2020-02-06 23:53 UTC, Agustín Moyano
Details | Diff | Splinter Review
Bug 24356: prefetch_whitelist tests (2.64 KB, patch)
2020-02-08 00:46 UTC, David Nind
Details | Diff | Splinter Review
Bug 24356: Make objects.search prefetch embedded relations (6.67 KB, patch)
2020-02-08 00:46 UTC, David Nind
Details | Diff | Splinter Review
Bug 24356: prefetch_whitelist tests (2.65 KB, patch)
2020-02-21 07:20 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24356: Make objects.search prefetch embedded relations (6.67 KB, patch)
2020-02-21 07:20 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2020-01-06 18:17:15 UTC
It would be great if objects.search added the prefetch automatically when an embed action is requested.
Comment 1 Tomás Cohen Arazi 2020-01-21 18:51:25 UTC
Created attachment 97680 [details] [review]
Bug 24356: prefetch_whitelist tests

This patch adds tests for the introduced methods.

To test:
1. Run the tests :-D
=> SUCCESS: They pass!
2. Sign off :-D
Comment 2 Tomás Cohen Arazi 2020-01-21 18:51:29 UTC
Created attachment 97681 [details] [review]
Bug 24356: Make objects.search prefetch embedded relations

This patch makes the Koha::Object(s) derived classes expose information
about prefetch-able relations. This is then used by a new helper to
generate the prefetch information for the DBIC query.

To test:
1. Apply this patch
2. Run:
   $ kshell
  k$ prove t/db_dependent/Koha/Object* \
           t/db_dependent/Koha/REST/Plugin/Objects.t \
           t/db_dependent/Koha/REST/Plugin/Query.t
=> SUCCESS: Tests pass!
3. Sign off :-D
Comment 3 Tomás Cohen Arazi 2020-01-21 18:53:18 UTC
This is missing tests for the helpers.
Comment 4 Agustín Moyano 2020-01-23 23:32:15 UTC
Created attachment 97848 [details] [review]
Bug 24356: prefetch_whitelist tests

This patch adds tests for the introduced methods.

To test:
1. Run the tests :-D
=> SUCCESS: They pass!
2. Sign off :-D
Comment 5 Agustín Moyano 2020-01-23 23:32:19 UTC
Created attachment 97849 [details] [review]
Bug 24356: Make objects.search prefetch embedded relations

This patch makes the Koha::Object(s) derived classes expose information
about prefetch-able relations. This is then used by a new helper to
generate the prefetch information for the DBIC query.

To test:
1. Apply this patch
2. Run:
   $ kshell
  k$ prove t/db_dependent/Koha/Object* \
           t/db_dependent/Koha/REST/Plugin/Objects.t \
           t/db_dependent/Koha/REST/Plugin/Query.t
=> SUCCESS: Tests pass!
3. Sign off :-D
Comment 6 Agustín Moyano 2020-01-24 00:39:16 UTC
Created attachment 97851 [details] [review]
Bug 24356: prefetch_whitelist tests

This patch adds tests for the introduced methods.

To test:
1. Run the tests :-D
=> SUCCESS: They pass!
2. Sign off :-D
Comment 7 Agustín Moyano 2020-01-24 00:39:20 UTC
Created attachment 97852 [details] [review]
Bug 24356: Make objects.search prefetch embedded relations

This patch makes the Koha::Object(s) derived classes expose information
about prefetch-able relations. This is then used by a new helper to
generate the prefetch information for the DBIC query.

To test:
1. Apply this patch
2. Run:
   $ kshell
  k$ prove t/db_dependent/Koha/Object* \
           t/db_dependent/Koha/REST/Plugin/Objects.t \
           t/db_dependent/Koha/REST/Plugin/Query.t
=> SUCCESS: Tests pass!
3. Sign off :-D
Comment 8 Agustín Moyano 2020-01-24 00:40:17 UTC
(In reply to Tomás Cohen Arazi from comment #3)
> This is missing tests for the helpers.

Just added missing tests!
Comment 9 Agustín Moyano 2020-01-25 03:13:16 UTC
Created attachment 97935 [details] [review]
Bug 24356: prefetch_whitelist tests

This patch adds tests for the introduced methods.

To test:
1. Run the tests :-D
=> SUCCESS: They pass!
2. Sign off :-D
Comment 10 Agustín Moyano 2020-01-25 03:13:19 UTC
Created attachment 97936 [details] [review]
Bug 24356: Make objects.search prefetch embedded relations

This patch makes the Koha::Object(s) derived classes expose information
about prefetch-able relations. This is then used by a new helper to
generate the prefetch information for the DBIC query.

To test:
1. Apply this patch
2. Run:
   $ kshell
  k$ prove t/db_dependent/Koha/Object* \
           t/db_dependent/Koha/REST/Plugin/Objects.t \
           t/db_dependent/Koha/REST/Plugin/Query.t
=> SUCCESS: Tests pass!
3. Sign off :-D
Comment 11 David Nind 2020-01-31 06:55:52 UTC
Tests fail:

prove t/db_dependent/Koha/Object*

t/db_dependent/Koha/Objects.t .. 18/21 
    #   Failed test 'Relationship matching method name is listed'
    #   at t/db_dependent/Koha/Objects.t line 800.

    #   Failed test 'Guessed the object class correctly'
    #   at t/db_dependent/Koha/Objects.t line 804.
    #          got: undef
    #     expected: 'Koha::Acquisition::BasketGroup'
    # Looks like you failed 2 tests of 2.

#   Failed test 'prefetch_whitelist() tests'
#   at t/db_dependent/Koha/Objects.t line 809.
# Looks like you failed 1 test of 21.
t/db_dependent/Koha/Objects.t .. Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/21 subtests 
t/db_dependent/Koha/Object.t ... 17/18 
    #   Failed test 'Relationship matching method name is listed'
    #   at t/db_dependent/Koha/Object.t line 754.

    #   Failed test 'Guessed the object class correctly'
    #   at t/db_dependent/Koha/Object.t line 758.
    #          got: undef
    #     expected: 'Koha::Acquisition::BasketGroup'
    # Looks like you failed 2 tests of 2.

#   Failed test 'prefetch_whitelist() tests'
#   at t/db_dependent/Koha/Object.t line 763.
# Looks like you failed 1 test of 18.
t/db_dependent/Koha/Object.t ... Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/18 subtests 

Test Summary Report
-------------------
t/db_dependent/Koha/Objects.t (Wstat: 256 Tests: 21 Failed: 1)
  Failed test:  21
  Non-zero exit status: 1
t/db_dependent/Koha/Object.t (Wstat: 256 Tests: 18 Failed: 1)
  Failed test:  18
  Non-zero exit status: 1
Files=2, Tests=39, 22 wallclock secs ( 0.05 usr  0.01 sys + 17.92 cusr  3.05 csys = 21.03 CPU)
Result: FAIL
Comment 12 Agustín Moyano 2020-02-01 04:47:13 UTC
Created attachment 98261 [details] [review]
Bug 24356: prefetch_whitelist tests

This patch adds tests for the introduced methods.

To test:
1. Run the tests :-D
=> SUCCESS: They pass!
2. Sign off :-D
Comment 13 Agustín Moyano 2020-02-01 04:47:17 UTC
Created attachment 98262 [details] [review]
Bug 24356: Make objects.search prefetch embedded relations

This patch makes the Koha::Object(s) derived classes expose information
about prefetch-able relations. This is then used by a new helper to
generate the prefetch information for the DBIC query.

To test:
1. Apply this patch
2. Run:
   $ kshell
  k$ prove t/db_dependent/Koha/Object* \
           t/db_dependent/Koha/REST/Plugin/Objects.t \
           t/db_dependent/Koha/REST/Plugin/Query.t
=> SUCCESS: Tests pass!
3. Sign off :-D
Comment 14 Agustín Moyano 2020-02-01 04:49:01 UTC
(In reply to David Nind from comment #11)
> Tests fail:
> 
> prove t/db_dependent/Koha/Object*
> 
> t/db_dependent/Koha/Objects.t .. 18/21 
>     #   Failed test 'Relationship matching method name is listed'
>     #   at t/db_dependent/Koha/Objects.t line 800.
> 
>     #   Failed test 'Guessed the object class correctly'
>     #   at t/db_dependent/Koha/Objects.t line 804.
>     #          got: undef
>     #     expected: 'Koha::Acquisition::BasketGroup'
>     # Looks like you failed 2 tests of 2.
> 
> #   Failed test 'prefetch_whitelist() tests'
> #   at t/db_dependent/Koha/Objects.t line 809.
> # Looks like you failed 1 test of 21.
> t/db_dependent/Koha/Objects.t .. Dubious, test returned 1 (wstat 256, 0x100)
> Failed 1/21 subtests 
> t/db_dependent/Koha/Object.t ... 17/18 
>     #   Failed test 'Relationship matching method name is listed'
>     #   at t/db_dependent/Koha/Object.t line 754.
> 
>     #   Failed test 'Guessed the object class correctly'
>     #   at t/db_dependent/Koha/Object.t line 758.
>     #          got: undef
>     #     expected: 'Koha::Acquisition::BasketGroup'
>     # Looks like you failed 2 tests of 2.
> 
> #   Failed test 'prefetch_whitelist() tests'
> #   at t/db_dependent/Koha/Object.t line 763.
> # Looks like you failed 1 test of 18.
> t/db_dependent/Koha/Object.t ... Dubious, test returned 1 (wstat 256, 0x100)
> Failed 1/18 subtests 
> 
> Test Summary Report
> -------------------
> t/db_dependent/Koha/Objects.t (Wstat: 256 Tests: 21 Failed: 1)
>   Failed test:  21
>   Non-zero exit status: 1
> t/db_dependent/Koha/Object.t (Wstat: 256 Tests: 18 Failed: 1)
>   Failed test:  18
>   Non-zero exit status: 1
> Files=2, Tests=39, 22 wallclock secs ( 0.05 usr  0.01 sys + 17.92 cusr  3.05
> csys = 21.03 CPU)
> Result: FAIL

Hi David, thanks for testing.

I just rebased and fixed tests. Could you please do another run?

Regards.
Comment 15 David Nind 2020-02-01 11:53:01 UTC
Tests for prove t/db_dependent/Koha/REST/Plugin/Query.t generate this error message:

Cannot detect source of 't/db_dependent/Koha/REST/Plugin/Query.t'! at /usr/share/perl/5.24/TAP/Parser/IteratorFactory.pm line 261.
	TAP::Parser::IteratorFactory::detect_source(TAP::Parser::IteratorFactory=HASH(0x562a13917438), TAP::Parser::Source=HASH(0x562a13917510)) called at /usr/share/perl/5.24/TAP/Parser/IteratorFactory.pm line 211
	TAP::Parser::IteratorFactory::make_iterator(TAP::Parser::IteratorFactory=HASH(0x562a13917438), TAP::Parser::Source=HASH(0x562a13917510)) called at /usr/share/perl/5.24/TAP/Parser.pm line 472
	TAP::Parser::_initialize(TAP::Parser=HASH(0x562a139170f0), HASH(0x562a136dc0e0)) called at /usr/share/perl/5.24/TAP/Object.pm line 55
	TAP::Object::new("TAP::Parser", HASH(0x562a136dc0e0)) called at /usr/share/perl/5.24/TAP/Object.pm line 130
	TAP::Object::_construct(TAP::Harness=HASH(0x562a1314e3f0), "TAP::Parser", HASH(0x562a136dc0e0)) called at /usr/share/perl/5.24/TAP/Harness.pm line 852
	TAP::Harness::make_parser(TAP::Harness=HASH(0x562a1314e3f0), TAP::Parser::Scheduler::Job=HASH(0x562a13837648)) called at /usr/share/perl/5.24/TAP/Harness.pm line 651
	TAP::Harness::_aggregate_single(TAP::Harness=HASH(0x562a1314e3f0), TAP::Parser::Aggregator=HASH(0x562a13168d48), TAP::Parser::Scheduler=HASH(0x562a138375e8)) called at /usr/share/perl/5.24/TAP/Harness.pm line 743
	TAP::Harness::aggregate_tests(TAP::Harness=HASH(0x562a1314e3f0), TAP::Parser::Aggregator=HASH(0x562a13168d48), "t/db_dependent/Koha/REST/Plugin/Query.t") called at /usr/share/perl/5.24/TAP/Harness.pm line 558
	TAP::Harness::__ANON__() called at /usr/share/perl/5.24/TAP/Harness.pm line 571
	TAP::Harness::runtests(TAP::Harness=HASH(0x562a1314e3f0), "t/db_dependent/Koha/REST/Plugin/Query.t") called at /usr/share/perl/5.24/App/Prove.pm line 546
	App::Prove::_runtests(App::Prove=HASH(0x562a13143888), HASH(0x562a135b1c90), "t/db_dependent/Koha/REST/Plugin/Query.t") called at /usr/share/perl/5.24/App/Prove.pm line 504
	App::Prove::run(App::Prove=HASH(0x562a13143888)) called at /usr/bin/prove line 13
Comment 16 Agustín Moyano 2020-02-03 16:13:15 UTC
Created attachment 98348 [details] [review]
Bug 24356: Make objects.search prefetch embedded relations

This patch makes the Koha::Object(s) derived classes expose information
about prefetch-able relations. This is then used by a new helper to
generate the prefetch information for the DBIC query.

To test:
1. Apply this patch
2. Run:
   $ kshell
  k$ prove t/db_dependent/Koha/Object* \
           t/db_dependent/Koha/REST/Plugin/Objects.t \
           t/Koha/REST/Plugin/Query.t
=> SUCCESS: Tests pass!
3. Sign off :-D
Comment 17 Agustín Moyano 2020-02-03 16:14:14 UTC
(In reply to David Nind from comment #15)
> Tests for prove t/db_dependent/Koha/REST/Plugin/Query.t generate this error
> message:
> 
> Cannot detect source of 't/db_dependent/Koha/REST/Plugin/Query.t'! at
> /usr/share/perl/5.24/TAP/Parser/IteratorFactory.pm line 261.
> 	TAP::Parser::IteratorFactory::detect_source(TAP::Parser::
> IteratorFactory=HASH(0x562a13917438),
> TAP::Parser::Source=HASH(0x562a13917510)) called at
> /usr/share/perl/5.24/TAP/Parser/IteratorFactory.pm line 211
> 	TAP::Parser::IteratorFactory::make_iterator(TAP::Parser::
> IteratorFactory=HASH(0x562a13917438),
> TAP::Parser::Source=HASH(0x562a13917510)) called at
> /usr/share/perl/5.24/TAP/Parser.pm line 472
> 	TAP::Parser::_initialize(TAP::Parser=HASH(0x562a139170f0),
> HASH(0x562a136dc0e0)) called at /usr/share/perl/5.24/TAP/Object.pm line 55
> 	TAP::Object::new("TAP::Parser", HASH(0x562a136dc0e0)) called at
> /usr/share/perl/5.24/TAP/Object.pm line 130
> 	TAP::Object::_construct(TAP::Harness=HASH(0x562a1314e3f0), "TAP::Parser",
> HASH(0x562a136dc0e0)) called at /usr/share/perl/5.24/TAP/Harness.pm line 852
> 	TAP::Harness::make_parser(TAP::Harness=HASH(0x562a1314e3f0),
> TAP::Parser::Scheduler::Job=HASH(0x562a13837648)) called at
> /usr/share/perl/5.24/TAP/Harness.pm line 651
> 	TAP::Harness::_aggregate_single(TAP::Harness=HASH(0x562a1314e3f0),
> TAP::Parser::Aggregator=HASH(0x562a13168d48),
> TAP::Parser::Scheduler=HASH(0x562a138375e8)) called at
> /usr/share/perl/5.24/TAP/Harness.pm line 743
> 	TAP::Harness::aggregate_tests(TAP::Harness=HASH(0x562a1314e3f0),
> TAP::Parser::Aggregator=HASH(0x562a13168d48),
> "t/db_dependent/Koha/REST/Plugin/Query.t") called at
> /usr/share/perl/5.24/TAP/Harness.pm line 558
> 	TAP::Harness::__ANON__() called at /usr/share/perl/5.24/TAP/Harness.pm line
> 571
> 	TAP::Harness::runtests(TAP::Harness=HASH(0x562a1314e3f0),
> "t/db_dependent/Koha/REST/Plugin/Query.t") called at
> /usr/share/perl/5.24/App/Prove.pm line 546
> 	App::Prove::_runtests(App::Prove=HASH(0x562a13143888),
> HASH(0x562a135b1c90), "t/db_dependent/Koha/REST/Plugin/Query.t") called at
> /usr/share/perl/5.24/App/Prove.pm line 504
> 	App::Prove::run(App::Prove=HASH(0x562a13143888)) called at /usr/bin/prove
> line 13

Ups!.. the path of Query.t was not in db_dependent.

Sorry
Comment 18 David Nind 2020-02-03 17:13:27 UTC
Created attachment 98353 [details] [review]
Bug 24356: prefetch_whitelist tests

This patch adds tests for the introduced methods.

To test:
1. Run the tests :-D
=> SUCCESS: They pass!
2. Sign off :-D

Signed-off-by: David Nind <david@davidnind.com>
Comment 19 David Nind 2020-02-03 17:13:30 UTC
Created attachment 98354 [details] [review]
Bug 24356: Make objects.search prefetch embedded relations

This patch makes the Koha::Object(s) derived classes expose information
about prefetch-able relations. This is then used by a new helper to
generate the prefetch information for the DBIC query.

To test:
1. Apply this patch
2. Run:
   $ kshell
  k$ prove t/db_dependent/Koha/Object* \
           t/db_dependent/Koha/REST/Plugin/Objects.t \
           t/Koha/REST/Plugin/Query.t
=> SUCCESS: Tests pass!
3. Sign off :-D

Signed-off-by: David Nind <david@davidnind.com>
Comment 20 Agustín Moyano 2020-02-06 23:53:34 UTC
Created attachment 98543 [details] [review]
Bug 24356: prefetch_whitelist tests

This patch adds tests for the introduced methods.

To test:
1. Run the tests :-D
=> SUCCESS: They pass!
2. Sign off :-D

Signed-off-by: David Nind <david@davidnind.com>
Comment 21 Agustín Moyano 2020-02-06 23:53:39 UTC
Created attachment 98544 [details] [review]
Bug 24356: Make objects.search prefetch embedded relations

This patch makes the Koha::Object(s) derived classes expose information
about prefetch-able relations. This is then used by a new helper to
generate the prefetch information for the DBIC query.

To test:
1. Apply this patch
2. Run:
   $ kshell
  k$ prove t/db_dependent/Koha/Object* \
           t/db_dependent/Koha/REST/Plugin/Objects.t \
           t/Koha/REST/Plugin/Query.t
=> SUCCESS: Tests pass!
3. Sign off :-D

Signed-off-by: David Nind <david@davidnind.com>
Comment 22 Agustín Moyano 2020-02-06 23:57:38 UTC
Patches didn't apply so rebased this bug.
Comment 23 David Nind 2020-02-08 00:46:56 UTC
Created attachment 98602 [details] [review]
Bug 24356: prefetch_whitelist tests

This patch adds tests for the introduced methods.

To test:
1. Run the tests :-D
=> SUCCESS: They pass!
2. Sign off :-D

Signed-off-by: David Nind <david@davidnind.com>
Comment 24 David Nind 2020-02-08 00:46:59 UTC
Created attachment 98603 [details] [review]
Bug 24356: Make objects.search prefetch embedded relations

This patch makes the Koha::Object(s) derived classes expose information
about prefetch-able relations. This is then used by a new helper to
generate the prefetch information for the DBIC query.

To test:
1. Apply this patch
2. Run:
   $ kshell
  k$ prove t/db_dependent/Koha/Object* \
           t/db_dependent/Koha/REST/Plugin/Objects.t \
           t/Koha/REST/Plugin/Query.t
=> SUCCESS: Tests pass!
3. Sign off :-D

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: David Nind <david@davidnind.com>
Comment 25 David Nind 2020-02-08 00:47:40 UTC
(In reply to Agustín Moyano from comment #22)
> Patches didn't apply so rebased this bug.

Not sure I needed to, but signed off again.
Comment 26 Martin Renvoize 2020-02-21 07:20:05 UTC
Created attachment 99349 [details] [review]
Bug 24356: prefetch_whitelist tests

This patch adds tests for the introduced methods.

To test:
1. Run the tests :-D
=> SUCCESS: They pass!
2. Sign off :-D

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 27 Martin Renvoize 2020-02-21 07:20:08 UTC
Created attachment 99350 [details] [review]
Bug 24356: Make objects.search prefetch embedded relations

This patch makes the Koha::Object(s) derived classes expose information
about prefetch-able relations. This is then used by a new helper to
generate the prefetch information for the DBIC query.

To test:
1. Apply this patch
2. Run:
   $ kshell
  k$ prove t/db_dependent/Koha/Object* \
           t/db_dependent/Koha/REST/Plugin/Objects.t \
           t/Koha/REST/Plugin/Query.t
=> SUCCESS: Tests pass!
3. Sign off :-D

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 28 Martin Renvoize 2020-02-21 07:21:07 UTC
Well written and clear patch which passes all qa script tests and works as expected.

Passing QA
Comment 29 Martin Renvoize 2020-02-24 13:22:02 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 30 Joy Nelson 2020-03-31 22:11:57 UTC
Enhancement not backported to 19.11.x